WebM VP8 Codec SDK

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
vpx_roi_map Struct Reference
WebM VP8 Encoder

vpx region of interest map More...

`#include <vp8cx.h>`

## Data Fields
unsigned char * | roi_map
unsigned int | rows
unsigned int | cols
int | delta_q [4]
int | delta_lf [4]
unsigned int | static_threshold [4]

## Detailed Description

vpx region of interest map

These defines the data structures for the region of interest map

## Field Documentation

unsigned char* vpx_roi_map::roi_map

An id between 0 and 3 for each 16x16 region within a frame.

unsigned int vpx_roi_map::rows

Number of rows.

unsigned int vpx_roi_map::cols

Number of columns.

int vpx_roi_map::delta_q[4]

Quantizer deltas.

int vpx_roi_map::delta_lf[4]

Loop filter deltas.

unsigned int vpx_roi_map::static_threshold[4]

Static breakout threshold for each segment.

The documentation for this struct was generated from the following file:

- vpx/vp8cx.h